package com.elephant.framework.galaxy.aroad.module.zhjc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhFghjdzb;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.ZhjcGhjhFghjdzbCapital;
import com.elephant.framework.galaxy.aroad.module.zhjc.mapper.ZhjcGhjhFghjdzbMapper;
import com.elephant.framework.galaxy.aroad.module.zhjc.service.ZhjcGhjhFghjdzbService;
import org.springframework.stereotype.Service;

/**
 * 智慧决策_规划计划_非规划阶段坐标表
 *
 * @author wangjian
 * @date 2019-05-23 19:00:32
 */
@Service
public class ZhjcGhjhFghjdzbServiceImpl extends ServiceImpl<ZhjcGhjhFghjdzbMapper, ZhjcGhjhFghjdzb> implements ZhjcGhjhFghjdzbService {

    /**
     * 字段名称转小写
     * @return
     */
    public ZhjcGhjhFghjdzb updateKeyName(ZhjcGhjhFghjdzbCapital zhjcGhjhFghjdzbCapital) {
        ZhjcGhjhFghjdzb zhjcGhjhFghjdzb = new ZhjcGhjhFghjdzb();
        zhjcGhjhFghjdzb.setXmid(zhjcGhjhFghjdzbCapital.getXMID());
        zhjcGhjhFghjdzb.setBeginpointk(zhjcGhjhFghjdzbCapital.getBEGINPOINTK());
        zhjcGhjhFghjdzb.setEndpointk(zhjcGhjhFghjdzbCapital.getENDPOINTK());
        zhjcGhjhFghjdzb.setGeomfeature(zhjcGhjhFghjdzbCapital.getGEOMFEATURE());
        zhjcGhjhFghjdzb.setSslxbm(zhjcGhjhFghjdzbCapital.getSSLXBM());
        zhjcGhjhFghjdzb.setSslxmc(zhjcGhjhFghjdzbCapital.getSSLXMC());
        return zhjcGhjhFghjdzb;
    }
}
